name: RA2A1 Series
manufacturer:
  id: 0x23
  cc: 0x4
generated_from_pack: true
pack_file_release: 5.3.0
variants:
- name: R7FA2A1AB
  cores:
  - name: main
    type: armv8m
    core_access_options: !Arm
      ap: !v1 0
  memory_map:
  - !Nvm
    name: ConfigROM
    range:
      start: 0x1010000
      end: 0x1010034
    cores:
    - main
  - !Ram
    name: SRAM1
    range:
      start: 0x20000000
      end: 0x20008000
    cores:
    - main
  - !Nvm
    name: DataFlash
    range:
      start: 0x40100000
      end: 0x40102000
    cores:
    - main
  flash_algorithms:
  - ra2a1_256k
  - ra2a1_data
  - ra2a1_conf
flash_algorithms:
- name: ra2a1_256k
  description: RA2A1 256KB Flash
  default: true
  instructions: [encoded data, 5328 characters]
  load_address: 0x20000020
  pc_init: 0x1
  pc_uninit: 0x689
  pc_program_page: 0x9c1
  pc_erase_sector: 0x8a5
  pc_erase_all: 0x7a9
  data_section_offset: 0xf68
  flash_properties:
    address_range:
      start: 0x0
      end: 0x40000
    page_size: 0x80
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x800
      address: 0x0
- name: ra2a1_data
  description: RA2A1 8KB DataFlash
  default: true
  instructions: [encoded data, 5340 characters]
  load_address: 0x20000020
  pc_init: 0x1
  pc_uninit: 0x689
  pc_program_page: 0x9c9
  pc_erase_sector: 0x8ad
  pc_erase_all: 0x7a9
  data_section_offset: 0xf70
  flash_properties:
    address_range:
      start: 0x40100000
      end: 0x40102000
    page_size: 0x4
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x400
      address: 0x0
- name: ra2a1_conf
  description: RA2A1 Config Area
  default: true
  instructions: [encoded data, 5004 characters]
  load_address: 0x20000020
  pc_init: 0x1
  pc_uninit: 0x689
  pc_program_page: 0x8cd
  pc_erase_sector: 0x7b9
  pc_erase_all: 0x7a9
  data_section_offset: 0xe74
  flash_properties:
    address_range:
      start: 0x1010000
      end: 0x1010034
    page_size: 0x4
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x4
      address: 0x0
